package serializers;

import flexjson.JSONSerializer;
import utils.SerializerUtil;
import javax.persistence.*;
import java.util.Date;

public class ProcessoClienteCerberusSerializer {

    public static JSONSerializer getInfo = SerializerUtil.create(
        "processoCerberus.id",
        "processoCerberus.responsavel",
        "processoCerberus.contatoId",
        "processoCerberus.tipoProcessoCerberus.id",
        "processoCerberus.tipoProcessoCerberus.familiaProcesso",
        "processoCerberus.tipoProcessoCerberus.grupoTipoProcesso",
        "processoCerberus.tipoProcessoCerberus.siglaTipo",
        "processoCerberus.tipoProcessoCerberus.tipoProcesso",
        "processoCerberus.tipoProcessoCerberus.excluido",
        "processoCerberus.tipoProcessoCerberus.requerDocumentacao",
        "processoCerberus.tipoProcessoCerberus.requerPlanilha",
        "processoCerberus.tipoProcessoCerberus.contador",
        "processoCerberus.tipoProcessoCerberus.emiteLicenca",
        "processoCerberus.tipoProcessoCerberus.pontuacao",
        "processoCerberus.familiaProcesso",
        "processoCerberus.grupoTipoProcesso",
        "processoCerberus.numero",
        "processoCerberus.descricao",
        "processoCerberus.devolucao",
        "processoCerberus.excluido",
        "processoCerberus.codigoAntigo",
        "processoCerberus.numeroSpi",
        "processoCerberus.codMunicipio",
        "processoCerberus.xCod",
        "processoCerberus.x2015antes2014",
        "processoCerberus.dataProcesso",
        "processoCerberus.latitude",
        "processoCerberus.longitude",
        "processoCerberus.codAtividade",
        "processoCerberus.idMunicipio",
//        "processoCerberus.licenca.id",
//        "processoCerberus.licenca.atividade",
//        "processoCerberus.licenca.celularContato",
//        "processoCerberus.licenca.cliente",
//        "processoCerberus.licenca.contato",
//        "processoCerberus.licenca.cpfCnpj",
//        "processoCerberus.licenca.dataEmissao",
//        "processoCerberus.licenca.dataValidade",
//        "processoCerberus.licenca.emailContato",
//        "processoCerberus.licenca.endereco",
//        "processoCerberus.licenca.foneContato",
//        "processoCerberus.licenca.numeroText",
//        "processoCerberus.licenca.numeroProcesso",
//        "processoCerberus.licenca.setorDescricao",
        "processoCerberus.longG",
        "processoCerberus.longM",
        "processoCerberus.longS",
        "processoCerberus.latS",
        "processoCerberus.latM",
        "processoCerberus.latG",
        "processoCerberus.dataProtocolo",
        "processoCerberus.prazo",
        "processoCerberus.statusNovoAtual",
        "processoCerberus.documentoVigente",
        "processoCerberus.ultimoMovProcesso",
        "processoCerberus.licencaEmitida",
        "processoCerberus.tipoFimCat",
        "processoCerberus.dataFimCat",
        "processoCerberus.idUltimaLicEmitida",
        "processoCerberus.procIdLicEmitida",
        "processoCerberus.pendenciaAberta",
        "processoCerberus.paraFiscalizar",
        "processoCerberus.caDilic",
        "cliente.id",
        "cliente.cliente",
        "cliente.rg",
        "cliente.cpf",
        "cliente.cnpj",
        "cliente.complemento",
        "cliente.cepId",
        "cliente.codigoAntigo",
        "cliente.telefoneCliente",
        "cliente.celularCliente",
        "cliente.emailCliente",
        "cliente.status",
        "cliente.data",
        "cliente.usrcad"
    )
    .transform(DateSerializer.getTransformerWithDateTime(), Date.class)
    .exclude("*");

}
